﻿using Microsoft.Reporting.WebForms;
using System;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            if (Session["GridViewRow"] != null)
            {
                DataTable dt = Session["GridViewRow"] as DataTable;
                if (dt.Rows.Count > 0)
                {
                    Customers dsCustomers = new Customers();
                    foreach (DataRow dr in dt.Rows)
                    {
                        dsCustomers.Tables[0].Rows.Add(dr["Id"].ToString(), dr["Name"].ToString(), dr["Country"].ToString());
                    }

                    ReportViewer1.ProcessingMode = ProcessingMode.Local;
                    ReportViewer1.LocalReport.ReportPath = Server.MapPath("~/Report.rdlc");

                    ReportParameterCollection reportparameter = new ReportParameterCollection();
                    reportparameter.Add(new ReportParameter("HiddenColumn", Session["HidenColumn"].ToString()));
                    ReportViewer1.LocalReport.SetParameters(reportparameter);
                    ReportViewer1.LocalReport.Refresh();


                    ReportDataSource datasource = new ReportDataSource("Customers", dsCustomers.Tables[0]);
                    ReportViewer1.LocalReport.DataSources.Clear();
                    ReportViewer1.LocalReport.DataSources.Add(datasource);
                }
            }
        }
    }
}